# Copyright (c) 2009 Entertainer Developers - See COPYING - GPLv2
'''Connection to the Entertainer backend'''

from entertainerlib.backend.core.message import Message
from entertainerlib.backend.core.message_bus_proxy import MessageBusProxy
from entertainerlib.backend.core.message_type_priority import MessageType
from entertainerlib.backend.core.message_handler import MessageHandler

class BackendConnection(MessageHandler):
    """Connection to the Entertainer backend messagebus."""

    def __init__(self):
        MessageHandler.__init__(self)
        messages = {}
        name = "Entertainer Frontend"
        self.message_bus_proxy = MessageBusProxy(messages, self, name)
        self.message_bus_proxy.connectToMessageBus()
        self.message_bus_proxy.start()

    def close_connection(self):
        """Close connection to backend"""
        self.message_bus_proxy.disconnectFromMessageBus()

    def request_feed_update(self):
        """Request backend to fetch all feeds from the Internet."""
        self.message_bus_proxy.sendMessage(Message(MessageType.UPDATE_FEEDS))

